<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flps_chop.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flps_chop" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>flps_chop</refname><refpurpose>Round matrix elements to t significant binary places.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   c = flps_chop ( x )
   c = flps_chop ( x , t )
   c = flps_chop ( x , t , b )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of doubles, the matrix to chop</para></listitem></varlistentry>
   <varlistentry><term>t :</term>
      <listitem><para> a 1x1 matrix of floating point integers, must be positive, the number of significant bits to chop. Default is t = 24, corresponding to IEEE single precision.</para></listitem></varlistentry>
   <varlistentry><term>b :</term>
      <listitem><para> a 1x1 matrix of floating point integers, must be greater than 1, the radix</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function allows to simulate a system with a
lower precision than doubles.
   </para>
   <para>
Any optional input argument equal to the empty matrix is replaced by its default value.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
format("v",25)
// See 1/3 before choping
1/3
c = flps_chop ( 1/3 )
c = flps_chop ( [1/3 0 0 1 2 1/5] )
c = flps_chop ( [1/3 0 0 1 2 1/5] , 48 )
c = flps_chop ( 0.123456789 , 3 , 10 )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Nicolas Higham, Matlab Version</member>
   <member>Michael Baudin, 2010, Scilab port</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"The Test Matrix Toolbox for Matlab (Version 3.0)", Nicolas Higham, Numerical Analysis Report No. 276, September 1995, Manchester Centre for Computational Mathematics, The University of Manchester</para>
   <para>"Higham's Test Matrices ", John Burkardt, 2005, http://people.sc.fsu.edu/~burkardt/m_src/test_matrix/test_matrix.html</para>
</refsection>
</refentry>
